# Uses of Enum Class
org.apache.sysds.lops.WeightedCrossEntropy.WCeMMType

Packages that use WeightedCrossEntropy.WCeMMType
Package
Description
org.apache.sysds.lops
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of WeightedCrossEntropy.WCeMMType in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return WeightedCrossEntropy.WCeMMType
Modifier and Type
Method
Description
`static WeightedCrossEntropy.WCeMMType`
WeightedCrossEntropy.WCeMMType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeightedCrossEntropy.WCeMMType[]`
WeightedCrossEntropy.WCeMMType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.lops with parameters of type WeightedCrossEntropy.WCeMMType
Modifier
Constructor
Description
``
`WeightedCrossEntropy(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedCrossEntropy.WCeMMType wt, Types.ExecType et)`
``
`WeightedCrossEntropyR(Lop input1, Lop input2, Lop input3, Lop input4, Types.DataType dt, Types.ValueType vt, WeightedCrossEntropy.WCeMMType wt, boolean cacheU, boolean cacheV, Types.ExecType et)`

## Uses of WeightedCrossEntropy.WCeMMType in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type WeightedCrossEntropy.WCeMMType
Modifier and Type
Method
Description
`static void`
LibMatrixMult.`matrixMultWCeMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, double eps, MatrixBlock ret, WeightedCrossEntropy.WCeMMType wt)`
`static void`
LibMatrixMult.`matrixMultWCeMM(MatrixBlock mW, MatrixBlock mU, MatrixBlock mV, double eps, MatrixBlock ret, WeightedCrossEntropy.WCeMMType wt, int k)`

## Uses of WeightedCrossEntropy.WCeMMType in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as WeightedCrossEntropy.WCeMMType
Modifier and Type
Field
Description
`final WeightedCrossEntropy.WCeMMType`
QuaternaryOperator.`wtype4`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type WeightedCrossEntropy.WCeMMType
Modifier
Constructor
Description
``
`QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt)`
wcemm
``
`QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt, double epsilon)`
wcemm w/epsilon